Subject: Stalin's revenge?
From: [email-masked] (Fred Ryan)
Date: Sat, 23 Jul 1994 20:27:36 GMT
Newsgroups: bionet.plants

There was a short piece in the San Francisco Chronicle on Saturday, July
24, describing a weed spreading through Poland and eastern Europe. It has
large umbrella shaped leaves, some sort of thorns or at least irritating
hairs, and is noted in the paper as being the product of a breeding program
in the USSR during the Stalin era, hence the name. Can anyone identify this
plant?